Bug 877223 - Add "clear" button to search field in workspace
Add "clear" button to search field in workspace
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.1
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-15 19:46 EST by Hedda Peters
Modified: 2013-02-25 23:06 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.1-SNAPSHOT (20121129-1444)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 23:06:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hedda Peters 2012-11-15 19:46:31 EST
Description of problem:

The simple search function in the editor ("Search Source or Target content") needs a "clear" function that will clear the last search and show all strings again.


Steps to Reproduce:
1. Open any document in workspace
2. Enter search term in search bar at the top, hit Enter
3. n number of results will show
4. In order to clear the search results and view all strings again...:
  
Actual results:
... you need to remove the search term from search bar and hit Enter again. That is at least one mouse click and two keystrokes. 

Expected results:
... you should be able to click a little "x" symbol (or similar) in the search bar. One mouse click.
Comment 1 Alex Eng 2012-11-25 23:00:26 EST
Implemented clear button for search field.

See https://github.com/zanata/zanata/commit/49771cbc4071ecf1873bb70fdd243b5a5ecfe453
Comment 2 Patrick Huang 2012-11-25 23:42:50 EST
clear icon clears the text in the input box but not triggering a page reload(i.e. from search result to full result)
Comment 4 Ding-Yi Chen 2012-11-29 23:47:46 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20121129-1444)

Note You need to log in before you can comment on or make changes to this bug.